[Unit]
Description=fcitx IME system
PartOf=graphical-session.target

[Service]
Type=simple
Environment=export GTK_IM_MODULE=fcitx export QT_IM_MODULE=fcitx export XMODIFIERS=@im=fcitx
ExecStart=/usr/bin/fcitx5 --replace
Restart=on-failure
RestartSec=3

[Install]
WantedBy=sway-session.target
